Subject: Re: [codec] #5: Mention DTMF in requirements, Testing DTMF?

From: Michael Knappe <[email-masked]>
Date: Sun, 28 Mar 2010 15:18:50 -0700

Excellent, thanks!

________________________________
From: [email-masked] <[email-masked]>
To: 'Christian Hoene' <[email-masked]>; [email-masked] <[email-masked]>
Sent: Sun Mar 28 18:17:28 2010
Subject: Re: [codec] #5: Mention DTMF in requirements, Testing DTMF?
Christian,

Telcordia sells the "Bellcore tape" DTMF talk-off immunity test recordings as a set of 3 CDs:
http://telecom-info.telcordia.com/site-cgi/ido/docs.cgi?ID=SEARCH&DOCUMENT=FR-763-01

--Felix

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christian Hoene
Sent: Sunday, March 28, 2010 10:22
To: [email-masked]
Subject: Re: [codec] #5: Mention DTMF in requirements, Testing DTMF?

Hi,

I found some open source DTMF code at
http://www.soft-switch.org/spandsp-modules.html
Does anybody has access to nice DTMF sample files such as those describe in

http://www.soft-switch.org/spandsp_faq/ar01s13.html ?

Christian

---------------------------------------------------------------
Dr.-Ing. Christian Hoene
Interactive Communication Systems (ICS), University of Tübingen
Sand 13, 72076 Tübingen, Germany, Phone +49 7071 2970532
http://www.net.uni-tuebingen.de/

From: Michael Knappe [mailto:[email-masked]]
Sent: Friday, March 26, 2010 11:38 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [codec] #5: Mention DTMF in requirements

I would agree with 'should'. Lot's of dtmf out there still, but also out of band options (rfc 2833 / 4733) that make in-band carriage less a concern for SIP telephony applications.

Mik

________________________________
From: [email-masked] <[email-masked]>
To: Christian Hoene <[email-masked]>
Cc: [email-masked] <[email-masked]>
Sent: Fri Mar 26 18:10:31 2010
Subject: Re: [codec] #5: Mention DTMF in requirements
Perhaps analog DTMF carriage is a SHOULD?

I agree that out-of-band is preferable, however, there still are scenarios where coded DTMF tones will be sent.  It would be nice (though IMHO not essential) for this carriage to work.

Stephen Botzko
On Fri, Mar 26, 2010 at 3:04 PM, Christian Hoene <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

> If the point of this issue to allow this codec to be used to successfully
> transit an IP network between two TDM networks,
which is not the primary use-case.

> I'd suggest that out-of-
> band tone transport is far preferable to trying to ensure that the codec
> will carry the tones adequately to allow them to be detected after
> regeneration.
I totally agree. Out-of-band is much better than inband.

Sorry for my radical view but I believe that analog DTMF is an old and obsolete technology not worth considering anymore.

Christian

_______________________________________________
codec mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/codec